import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';
import 'package:fonts/fonts.dart';
import 'package:sf_localizations/sf_localizations.dart';

class OnboardingContent extends StatelessWidget {
  final String image;
  final String title;
  final String subtitle;

  const OnboardingContent({
    super.key,
    required this.image,
    required this.title,
    required this.subtitle,
  });

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.symmetric(horizontal: 16),
      child: Column(
        mainAxisAlignment: MainAxisAlignment.center,
        children: [
          SvgPicture.asset(image, height: 250),
          const SizedBox(height: 48),
          Text(
            context.translate(title),
            textAlign: TextAlign.center,
            style: AppFonts.stolzlStyle(
              size: 28,
              weight: FontWeight.w700,
              color: const Color(0xFF4A4A4A),
              height: 1.4,
              letterSpacing: 0.3,
            ),
            // style: const TextStyle(
            //   fontWeight: FontWeight.w700,
            //   fontSize: 28,
            //   height: 1.4,
            //   letterSpacing: 0.3,
            //   color: Color(0xFF4A4A4A),
            // ),
          ),
          const SizedBox(height: 16),
          Text(
            context.translate(subtitle),
            textAlign: TextAlign.center,
            style: AppFonts.stolzlStyle(
              size: 18,
              height: 1.4,
              letterSpacing: 0.3,
              color: const Color(0xFF333333),
            ),
          ),
        ],
      ),
    );
  }
}
